
/* 
 * Copyright (c) 1993-2005 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/


#ifndef pilo_ERROR_H
#define pilo_ERROR_H

#include "h2errorLib.h"
#include "genom/genomError.h"

#define M_pilo    (750)

/* -- MODULES ERRORS -------------------------------------------------- */

/* demo errors */
#define S_pilo_NO_MORE_TRAJ         H2_ENCODE_ERR(M_pilo      , 1)
#define S_pilo_PATH_BLOCKED         H2_ENCODE_ERR(M_pilo      , 2)
#define S_pilo_IMPORTANT_DRIFT      H2_ENCODE_ERR(M_pilo      , 3)
#define S_pilo_INVALID_INITIAL_POSITION H2_ENCODE_ERR(M_pilo      , 4)
#define S_pilo_ERROR_IN_RS_COMPUTATION H2_ENCODE_ERR(M_pilo      , 5)
#define S_pilo_NUL_SPEED_MOTION     H2_ENCODE_ERR(M_pilo      , 6)
#define S_pilo_ERROR_IN_DYNAMIC     H2_ENCODE_ERR(M_pilo      , 7)
#define S_pilo_bad_parameters       H2_ENCODE_ERR(M_pilo      , 8)
#define S_pilo_POSTER_NOT_FOUND     H2_ENCODE_ERR(M_pilo      , 9)


/* std errors */
#define S_pilo_stdGenoM_ACTIVITY_INTERRUPTED       49210369   /* 750<<16 | 0x8000 | 100<<8 | 1 */
#define S_pilo_stdGenoM_TOO_MANY_ACTIVITIES        49210370   /* 750<<16 | 0x8000 | 100<<8 | 2 */
#define S_pilo_stdGenoM_ACTIVITY_FAILED            49210371   /* 750<<16 | 0x8000 | 100<<8 | 3 */
#define S_pilo_stdGenoM_WAIT_ABORT_ZOMBIE_ACTIVITY 49210372   /* 750<<16 | 0x8000 | 100<<8 | 4 */
#define S_pilo_stdGenoM_UNKNOWN_ACTIVITY           49210373   /* 750<<16 | 0x8000 | 100<<8 | 5 */
#define S_pilo_stdGenoM_FORBIDDEN_ACTIVITY_TRANSITION 49210374   /* 750<<16 | 0x8000 | 100<<8 | 6 */
#define S_pilo_stdGenoM_SYSTEM_ERROR               49210375   /* 750<<16 | 0x8000 | 100<<8 | 7 */
#define S_pilo_stdGenoM_ACTIVITY_ALREADY_ENDED     49210376   /* 750<<16 | 0x8000 | 100<<8 | 8 */
#define S_pilo_stdGenoM_WAIT_INIT_RQST             49210377   /* 750<<16 | 0x8000 | 100<<8 | 9 */
#define S_pilo_stdGenoM_CONTROL_CODEL_ERROR        49210378   /* 750<<16 | 0x8000 | 100<<8 | 10 */
#define S_pilo_stdGenoM_EXEC_TASK_SUSPENDED        49210379   /* 750<<16 | 0x8000 | 100<<8 | 11 */
#define S_pilo_stdGenoM_BAD_BLOCK_TYPE             49210380   /* 750<<16 | 0x8000 | 100<<8 | 12 */
#define S_pilo_stdGenoM_BAD_POSTER_TYPE            49210381   /* 750<<16 | 0x8000 | 100<<8 | 13 */



/* static H2_ERROR[] */
#define PILO_H2_ERR_MSGS {\
    {"NO_MORE_TRAJ", 1},\
    {"PATH_BLOCKED", 2},\
    {"IMPORTANT_DRIFT", 3},\
    {"INVALID_INITIAL_POSITION", 4},\
    {"ERROR_IN_RS_COMPUTATION", 5},\
    {"NUL_SPEED_MOTION", 6},\
    {"ERROR_IN_DYNAMIC", 7},\
    {"bad_parameters", 8},\
    {"POSTER_NOT_FOUND", 9},\
}

#ifdef __cplusplus
extern "C" {
#endif

extern int piloRecordH2errMsgs(void);

#ifdef __cplusplus
}
#endif


/*-------------------------- end file loading ---------------------------*/
#endif
