/* 
 * Copyright (c) 1993-2010 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef PILO_PRINT_H
#define PILO_PRINT_H


/* Structures definies par d'autres modules */

#include "server/tclservClient/pomTclservClientEncode.h"

#include "server/tclservClient/genPosTclservClientEncode.h"


#include "server/piloPosterLib.h"

/* Prototypes */
#ifdef __cplusplus
extern "C" {
#endif
void buf_add_struct_PILO_BASICTRAJ_POSTER_STR ( buf_t buf, struct PILO_BASICTRAJ_POSTER_STR *x, int nDim, int *dims);
void buf_add_struct_PILO_SPEEDREF_POSTER_STR ( buf_t buf, struct PILO_SPEEDREF_POSTER_STR *x, int nDim, int *dims);
void buf_add_struct_PILO_POSREF_POSTER_STR ( buf_t buf, struct PILO_POSREF_POSTER_STR *x, int nDim, int *dims);
void buf_add_struct_PILO_STR ( buf_t buf, struct PILO_STR *x, int nDim, int *dims);
void buf_add_struct_PILO_ABSOLUTE_BL ( buf_t buf, struct PILO_ABSOLUTE_BL *x, int nDim, int *dims);
void buf_add_struct_PILO_ASOLUTE_REF ( buf_t buf, struct PILO_ASOLUTE_REF *x, int nDim, int *dims);
void buf_add_struct_PILO_TRAJECTORY ( buf_t buf, struct PILO_TRAJECTORY *x, int nDim, int *dims);
void buf_add_struct_PILO_SEGMENT ( buf_t buf, struct PILO_SEGMENT *x, int nDim, int *dims);
void buf_add_struct_PILO_TRAJ_HEADER ( buf_t buf, struct PILO_TRAJ_HEADER *x, int nDim, int *dims);
void buf_add_enum_PILO_SEG_TYPE ( buf_t buf, enum PILO_SEG_TYPE *x, int nDim, int *dims);
void buf_add_struct_PILO_TRAJ_POSTER ( buf_t buf, struct PILO_TRAJ_POSTER *x, int nDim, int *dims);
void buf_add_struct_PILO_GOTO_CONFIG_STR ( buf_t buf, struct PILO_GOTO_CONFIG_STR *x, int nDim, int *dims);
void buf_add_enum_PILO_GOTO_CONFIG_MODE ( buf_t buf, enum PILO_GOTO_CONFIG_MODE *x, int nDim, int *dims);
void buf_add_enum_PILO_ABS_OR_REL ( buf_t buf, enum PILO_ABS_OR_REL *x, int nDim, int *dims);
void buf_add_struct_PILO_TURN_STR ( buf_t buf, struct PILO_TURN_STR *x, int nDim, int *dims);
void buf_add_struct_PILO_MOVE_STR ( buf_t buf, struct PILO_MOVE_STR *x, int nDim, int *dims);
void buf_add_enum_PILO_AVOID_FLAG ( buf_t buf, enum PILO_AVOID_FLAG *x, int nDim, int *dims);
void buf_add_struct_PILO_DYNAMIC_PARAMS ( buf_t buf, struct PILO_DYNAMIC_PARAMS *x, int nDim, int *dims);
void buf_add_struct_PILO_INIT_STR ( buf_t buf, struct PILO_INIT_STR *x, int nDim, int *dims);

/* ======================== PRINT DES TYPEDEF ============================= */

void buf_add_PILO_INIT_STR ( buf_t buf, PILO_INIT_STR *x, int nDim, int *dims);
void buf_add_PILO_DYNAMIC_PARAMS ( buf_t buf, PILO_DYNAMIC_PARAMS *x, int nDim, int *dims);
void buf_add_PILO_AVOID_FLAG ( buf_t buf, PILO_AVOID_FLAG *x, int nDim, int *dims);
void buf_add_PILO_MOVE_STR ( buf_t buf, PILO_MOVE_STR *x, int nDim, int *dims);
void buf_add_PILO_TURN_STR ( buf_t buf, PILO_TURN_STR *x, int nDim, int *dims);
void buf_add_PILO_ABS_OR_REL ( buf_t buf, PILO_ABS_OR_REL *x, int nDim, int *dims);
void buf_add_PILO_GOTO_CONFIG_MODE ( buf_t buf, PILO_GOTO_CONFIG_MODE *x, int nDim, int *dims);
void buf_add_PILO_GOTO_CONFIG_STR ( buf_t buf, PILO_GOTO_CONFIG_STR *x, int nDim, int *dims);
void buf_add_PILO_TRAJ_POSTER ( buf_t buf, PILO_TRAJ_POSTER *x, int nDim, int *dims);
void buf_add_PILO_SEG_TYPE ( buf_t buf, PILO_SEG_TYPE *x, int nDim, int *dims);
void buf_add_PILO_TRAJ_HEADER ( buf_t buf, PILO_TRAJ_HEADER *x, int nDim, int *dims);
void buf_add_PILO_SEGMENT ( buf_t buf, PILO_SEGMENT *x, int nDim, int *dims);
void buf_add_PILO_TRAJECTORY ( buf_t buf, PILO_TRAJECTORY *x, int nDim, int *dims);
void buf_add_PILO_ABSOLUTE_REF ( buf_t buf, PILO_ABSOLUTE_REF *x, int nDim, int *dims);
void buf_add_PILO_ABSOLUTE_BL ( buf_t buf, PILO_ABSOLUTE_BL *x, int nDim, int *dims);
void buf_add_PILO_STR ( buf_t buf, PILO_STR *x, int nDim, int *dims);
void buf_add_PILO_POSREF_POSTER_STR ( buf_t buf, PILO_POSREF_POSTER_STR *x, int nDim, int *dims);
void buf_add_PILO_SPEEDREF_POSTER_STR ( buf_t buf, PILO_SPEEDREF_POSTER_STR *x, int nDim, int *dims);
void buf_add_PILO_BASICTRAJ_POSTER_STR ( buf_t buf, PILO_BASICTRAJ_POSTER_STR *x, int nDim, int *dims);
#ifdef __cplusplus
}
#endif

#endif /* PILO_TCLSERV_CLIENT_ENCODE_H */

